Create Note
Create Note
POST
/
calendars
/
appointments
/
{appointmentId}
/
notes
Create Note
curl --request POST \
--url https://services.leadconnectorhq.com/calendars/appointments/{appointmentId}/notes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"body": "lorem ipsum",
"userId": "GCs5KuzPqTls7vWclkEV"
}
'const options = {
method: 'POST',
headers: {
Version: '<version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({body: JSON.stringify('lorem ipsum'), userId: 'GCs5KuzPqTls7vWclkEV'})
};
fetch('https://services.leadconnectorhq.com/calendars/appointments/{appointmentId}/notes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/calendars/appointments/{appointmentId}/notes"
payload = {
"body": "lorem ipsum",
"userId": "GCs5KuzPqTls7vWclkEV"
}
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"note": {
"id": "HGPcayliwcdoUFzvbTok",
"body": "lorem ipsum",
"userId": "TUcmRxWrjqzJS8EjkxNK",
"dateAdded": "2021-07-08T12:02:11.285Z",
"contactId": "TUcmRxWrjqzJS8EjkxNK",
"createdBy": {
"id": "TUcmRxWr",
"name": "John Doe"
}
}
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}Authorizations
Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.
Headers
API Version
Available options:
2021-04-15 Path Parameters
Appointment ID
Body
application/json
Response
Successful response
Show child attributes
Show child attributes
Last modified on March 8, 2026
Was this page helpful?
⌘I
Create Note
curl --request POST \
--url https://services.leadconnectorhq.com/calendars/appointments/{appointmentId}/notes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"body": "lorem ipsum",
"userId": "GCs5KuzPqTls7vWclkEV"
}
'const options = {
method: 'POST',
headers: {
Version: '<version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({body: JSON.stringify('lorem ipsum'), userId: 'GCs5KuzPqTls7vWclkEV'})
};
fetch('https://services.leadconnectorhq.com/calendars/appointments/{appointmentId}/notes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/calendars/appointments/{appointmentId}/notes"
payload = {
"body": "lorem ipsum",
"userId": "GCs5KuzPqTls7vWclkEV"
}
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"note": {
"id": "HGPcayliwcdoUFzvbTok",
"body": "lorem ipsum",
"userId": "TUcmRxWrjqzJS8EjkxNK",
"dateAdded": "2021-07-08T12:02:11.285Z",
"contactId": "TUcmRxWrjqzJS8EjkxNK",
"createdBy": {
"id": "TUcmRxWr",
"name": "John Doe"
}
}
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}